---
apiVersion: compute.cnrm.cloud.google.com/v1beta1
kind: ComputeSubnetwork
metadata:
  annotations:
    cnrm.cloud.google.com/project-id: {{ include "svpc.projectId" . }}
  name: {{ include "svpc.projectId" . }}-compute
spec:
  ipCidrRange: 172.25.40.0/21
  region: {{ .Values.global.region }}
  description: Compute Instances allocation
  privateIpGoogleAccess: true
  purpose: PRIVATE
  networkRef:
    name: {{ include "svpc.projectId" . }}
  logConfig:
    aggregationInterval: INTERVAL_10_MIN
    flowSampling: 0.05
    metadata: INCLUDE_ALL_METADATA
